<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright © 2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Modified by PHP-Fusion SF Group
| Copyright © 2007 by SF
| http://www.rus-phpfusion.com/
+----------------------------------------------------*/
require_once "maincore.php";
require_once "subheader.php";
require_once "side_left.php";
include LOCALE.LOCALESET."members-profile.php";
include LOCALE.LOCALESET."user_fields.php";
include_once INCLUDES."countries.php";

if (isset($_POST['update_profile'])) require_once INCLUDES."update_profile_include.php";

opentable($locale['440']);
if (iMEMBER) {
	if ($userdata['user_birthdate']!="0000-00-00") {
		$user_birthdate = explode("-", $userdata['user_birthdate']);
		$user_month = number_format($user_birthdate['1']);
		$user_day = number_format($user_birthdate['2']);
		$user_year = $user_birthdate['0'];
	} else {
		$user_month = 0; $user_day = 0; $user_year = 0;
	}
	$theme_files = makefilelist(THEMES, ".|..", true, "folders");
	array_unshift($theme_files, "Default");
	$offset_list = "";
	for ($i=-13;$i<17;$i++) {
		if ($i > 0) { $offset="+".$i; } else { $offset=$i; }
		$offset_list .= "<option".($offset == $userdata['user_offset'] ? " selected" : "").">$offset</option>\n";
	}
	$csm_req = $ft_csm['op']['req'] != 0 ? "<span style='color:#ff0000'>*</span>" : "";
	$csm_selbox = csm_makeSelbox($userdata['user_location']);
	echo $ft_csm['js'];
	echo "<form name='inputform' method='post' action='".FUSION_SELF."' enctype='multipart/form-data'>\n";
	echo "<table align='center' cellpadding='0' cellspacing='0'>\n";
	if (isset($_GET['update_profile'])) {
		echo "<tr>\n<td colspan='2' class='tbl'>".$locale['441']."<br><br>\n</td>\n</tr>\n";
	} elseif (isset($error) && $error != "") { echo "<tr>\n<td colspan='2' class='tbl'>$error<br>\n</td>\n</tr>\n"; }
	echo "<tr>
<td class='tbl'>Ваш статус:</td>
<td class='tbl'><input type='text' name='user_stat' value='".$userdata['user_stat']."' maxlength='30' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['u003']."</td>
<td class='tbl'><input type='password' name='user_newpassword' maxlength='20' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['u004']."</td>
<td class='tbl'><input type='password' name='user_newpassword2' maxlength='20' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['u005']."<span style='color:#ff0000'>*</span></td>
<td class='tbl'><input type='text' name='user_email' value='".$userdata['user_email']."' maxlength='100' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['u006']."</td>
<td class='tbl'><input type='radio' name='user_hide_email' value='1'".($userdata['user_hide_email'] == "1" ? " checked" : "").">".$locale['u007']."
<input type='radio' name='user_hide_email' value='0'".($userdata['user_hide_email'] == "0" ? " checked" : "").">".$locale['u008']."</td>
</tr>
<tr>
<td class='tbl'>".$locale['u009'].$csm_req."</td>
<td class='tbl'>$csm_selbox</td>
</tr>
<tr>
<td class='tbl'>".$locale['UGM_000']."</td>
<td class='tbl'><select name='user_gender' class='textbox'>
<option>------</option>
<option value='1'".($userdata['user_gender'] == 1 ? " selected" : "").">".$locale['UGM_001']."</option>
<option value='2'".($userdata['user_gender'] == 2 ? " selected" : "").">".$locale['UGM_002']."</option>
</select>
</td>
</tr>
<tr>
<td class='tbl'>".$locale['u010']." <span class='small2'>(mm/dd/yyyy)</span></td>
<td class='tbl'><select name='user_month' class='textbox'>\n<option>--</option>\n";
	for ($i=1;$i<=12;$i++) echo "<option".($user_month == $i ? " selected" : "").">$i</option>\n";
echo "</select>
<select name='user_day' class='textbox'>\n<option>--</option>\n";
	for ($i=1;$i<=31;$i++) echo "<option".($user_day == $i ? " selected" : "").">$i</option>\n";
echo "</select>
<select name='user_year' class='textbox'>\n<option>----</option>\n";
	for ($i=1900;$i<=2004;$i++) echo "<option".($user_year == $i ? " selected" : "").">$i</option>\n";
echo "</select>
</td>
</tr>
<tr>
<td class='tbl'>".$locale['u021']."</td>
<td class='tbl'><input type='text' name='user_aim' value='".$userdata['user_aim']."' maxlength='16' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['u011']."</td>
<td class='tbl'><input type='text' name='user_icq' value='".$userdata['user_icq']."' maxlength='15' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['u012']."</td>
<td class='tbl'><input type='text' name='user_msn' value='".$userdata['user_msn']."' maxlength='100' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['u013']."</td>
<td class='tbl'><input type='text' name='user_yahoo' value='".$userdata['user_yahoo']."' maxlength='100' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['u014']."</td>
<td class='tbl'><input type='text' name='user_web' value='".$userdata['user_web']."' maxlength='100' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td class='tbl'>".$locale['u015']."</td>
<td class='tbl'><select name='user_theme' class='textbox' style='width:100px;'>
".makefileopts($theme_files, $userdata['user_theme'])."
</select></td>
</tr>
<tr>
<td class='tbl'>".$locale['u016']."</td>
<td class='tbl'><select name='user_offset' class='textbox' style='width:100px;'>
$offset_list</select></td>
</tr>\n";
	if (!$userdata['user_avatar']) {
		echo "<tr>
<td class='tbl'>".$locale['u017']."</td>
<td class='tbl'>
<input type='file' name='user_avatar' class='textbox' style='width:200px;'><br>
<span class='small2'>".$locale['u018']."</span><br>
<span class='small2'>".sprintf($locale['u022'], parsebytesize($settings['avasize']), $settings['avaw'], $settings['avah'])."</span><br />
<span class='small2'>Или выбрать из галереи</span><br>";
}

echo "</td>
</tr>\n";
	
echo "<tr>
<td valign='top' class='tbl'>".$locale['u020']."</td>
<td class='tbl'>
<textarea name='user_sig' rows='5' cols='53' class='textbox'>".$userdata['user_sig']."</textarea><br>
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('user_sig', '[b]', '[/b]');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('user_sig', '[i]', '[/i]');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('user_sig', '[u]', '[/u]');\">
<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('user_sig', '[url]', '[/url]');\">
<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('user_sig', '[mail]', '[/mail]');\">
<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('user_sig', '[img]', '[/img]');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('user_sig', '[center]', '[/center]');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('user_sig', '[small]', '[/small]');\">
</td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'><br>\n";
	if ($userdata['user_avatar']) {
		echo $locale['u017']."<br>\n<img src='".IMAGES."avatars/".$userdata['user_avatar']."' alt='".$locale['u017']."'><br>
<input type='checkbox' name='del_avatar' value='y'> ".$locale['u019']."
<input type='hidden' name='user_avatar' value='".$userdata['user_avatar']."'><br><br>\n";
	}
	echo "<input type='hidden' name='user_hash' value='".$userdata['user_password']."'>
<input type='submit' name='update_profile' value='".$locale['460']."' class='button'></td>
</tr>
</table>
</form>\n";

	if (isset($speichern)) {
	
	  if ($userdata['user_avatar']) {
		unlink(IMAGES."avatars/".$userdata['user_avatar']);
	}		
	  $ext = strrchr($speichern, '.');
	  copy(IMAGES."avatars/".$speichern, IMAGES."avatars/avatar_".$userdata['user_id']."".$ext);
	  $saveresult = dbquery("UPDATE `".$db_prefix."users` SET `user_avatar` = 'avatar_".$userdata['user_id']."".$ext."' WHERE `user_id` = '".$userdata['user_id']."' LIMIT 1");
	  opentable($locale['AVA_001']);
	   echo '<br /><center>'.$locale['AVA_016'].'<br /><br /><a href="'.BASEDIR.'edit_profile.php">'.$locale['AVA_017'].'</a><br /><br /></center>';
	   echo "<meta http-equiv='refresh' content='2; url=edit_profile.php'>";
	  closetable();
	} else {
		$avatarfolder=IMAGES."avatars/avatar_gallery/";
		$handle = opendir($avatarfolder);
		while ($folder = readdir($handle)) {
			if (!in_array($folder, array(".", "..", "/", "index.php"))) {
				$avatar_list[] = $folder;
			}
		}
		closedir($handle);
		sort($avatar_list);

		opentable($locale['AVA_001']);
		  echo '<table width="100%" cellpadding="0" cellspacing="1" class="tbl-border">
				  <tr><td class="tbl2" colspan="2"><b>'.$locale['AVA_002'].'</b></td></tr>
				  <tr><td class="tbl2">'.$locale['AVA_003'].'</td><td class="tbl1">'.$locale['AVA_004'].'</td></tr>
				  <tr><td class="tbl2">'.$locale['AVA_005'].'<br /><small>'.$locale['AVA_006'].'</small></td><td class="tbl1">';
		  echo "  <form name='inputform1' method='post' action='".FUSION_SELF."'>
					<input type='hidden' name='av_folder' value='".$avatarfolder."'>";
		  if(!@$_POST['avatar_box']) { $avatar_box=$avatar_list[0]; }
		  echo "    <input type='hidden' name='av_kat' value='".$avatar_box."'>
					<select onChange=\"javascript:document.inputform1.submit();\" name='avatar_box' size='1' class='textbox' style='width:250px;'>\n";
					for ($count = 0; $avatar_list[$count] != ""; $count++) {
						if($_POST['avatar_box'] == $avatar_list[$count]) {
							echo "<option selected value='".$avatar_list[$count]."'>$avatar_list[$count]</option>\n";
						} else {
							echo "<option value='".$avatar_list[$count]."'>$avatar_list[$count]</option>\n";
						}
					}
		  echo "  </select></form>";
		  echo '  </td></tr>
				  <tr><td class="tbl2">'.$locale['AVA_007'].'<br /><small>'.$locale['AVA_008'].'</small></td><td class="tbl1">';
		$avatarfolder2=$avatarfolder.$avatar_box."/";
		$handle = opendir($avatarfolder2);
		while ($folder = readdir($handle)) {
			if (!in_array($folder, array(".", "..", "/", "index.php"))) {
				$avatar_file_list[] = $folder;
			}
		}
		closedir($handle);
		sort($avatar_file_list);

		echo "<form name='inputform2'>
			  <select onChange='showimage();' name='avatar_file_box' size='10' class='textbox' style='width:250px;'>\n";
		for ($count=0;$avatar_file_list[$count]!="";$count++) {
			echo "<option value='".$avatar_file_list[$count]."'>$avatar_file_list[$count]</option>\n";
		}
		  echo "</select></form>";
		  echo '  </td></tr>
				  <tr><td class="tbl2">'.$locale['AVA_009'].'</td><td class="tbl1" align="center"><img src="'.IMAGES.'avatars/noav.gif" name="pictures"></td></tr>
				  <tr><td class="tbl2">'.$locale['AVA_010'].'<br /><small>'.$locale['AVA_011'].'</small></td><td align="center" class="tbl1"><input type="Submit" onClick="saveavatar();" value="'.$locale['AVA_018'].'" class="button"></td></tr>
				</table>';

		closetable();

		echo "<script language='JavaScript'>

		function saveavatar() {
		 savepfad = 'avatar_gallery/' + document.inputform1.av_kat.value + '/' + document.inputform2.avatar_file_box.options[document.inputform2.avatar_file_box.selectedIndex].value
		  newwin = window.open('edit_profile.php?speichern='+savepfad, '_self')
		}

		function funn(category) {
		  newwin = window.open('edit_profile.php?cat='+category, '_self')
		}

		function showimage() {
		  document.images.pictures.src= document.inputform1.av_folder.value + document.inputform1.av_kat.value + '/' + document.inputform2.avatar_file_box.options[document.inputform2.avatar_file_box.selectedIndex].value
		}

		</script>";
	}
	
} else {
	echo "<center><br>\n".$locale['003']."<br>\n<br></center>\n";
}
closetable();
require_once "side_right.php";
require_once "footer.php";
?>